---
title: Accueil
description: Une documentation pour différents projets !
published: true
date: 2021-07-09T07:12:39.181Z
tags: 
editor: markdown
dateCreated: 2021-05-24T10:33:11.318Z
---

![wiki_-_tech_(2).gif](/wiki_-_tech_(2).gif =50%x)

# Présentation
> Wiki-Tech se veut être un endroit pour partager nos connaissances ensemble. 
Nous sommes plusieurs professionnels de l’IT, étudiants ou passionnés à rédiger des notes ou des documentations sur différents sujets et les garder sur nos postes. Alors, pourquoi ne pas les partager entre nous ? Cela nous permettrait de monter en compétences, de découvrir des solutions et de nous instruire mutuellement.
Ce projet repose sur [Wiki.js](https://js.wiki) et est entièrement disponible sur [Github](https://github.com/PAPAMICA/Wiki-Tech.io) directement. 
{.is-success}


> Si vous souhaitez rédiger sur Wiki-Tech, c'est possible ! Jetez un oeil à [Devenir-Contributeur](/README) ❤️
{.is-info}

 ---
 
 # Apple
- [📱 iOS / iPadOS 🚧 *Les astuces pour les OS Mobile de la pomme*](/Apple#ios-ipados)
- [💻 MacOS 🚧 *De l'installation aux différentes astuces*](/Apple#macos)
- [⌚ Accessoires 🚧 *Les accessoires utiles pour l'écosystème Apple*](/Apple#accessoires)
{.links-list}

# Applications & Logiciels
- [💙 SelfHosted *Plein de solutions que vous pouvez héberger vous même !*](/SelfHosted)
- [📱 Applications 🚧 *Présentation et astuces pour des applications mobiles*](/Applications)
- [💻 Logiciels 🚧 *Présentation et astuces pour des logiciels utiles*](/Logiciels)
{.links-list}

 
 # Cloud
- [☁️ OpenStack *Un cloud opensource pouvant être autohébergé*](/Cloud#openstack)
- [☁️ Jelastic 🚧 *Une technologie de cloud simple et efficace !*](/Cloud#jelastic)
- [☁️ AWS 🚧 *Comprendre et utiliser le cloud d'Amazon*](/Cloud#aws)
- [☁️ Azure 🚧 *Comprendre et utiliser le cloud de Microsoft*](/Cloud#azure-cloud)
- [☁️ Google Cloud 🚧 *Comprendre et utiliser le cloud de Google*](/Cloud#google-cloud)
{.links-list}

 # Conteneurisation
 - [🐳 Docker *Découvrir la conteneurisation avec Docker*](/Conteneurisation#docker)
 - [💠 Kubernetes 🚧 *Aller plus loins avec de la scalabilité et de la haute disponibilité*](/Conteneurisation#kubernetes) 
{.links-list}

# Domotique
- [🦕 Jeedom 🚧 *Mon serveur de domotique préféré*](/Domotique#jeedom)
- [🍎 Homebridge 🚧 *Ajouter la compatibilité avec HomeKit*](/Domotique#homebridge)
- [🏠 HomeAssistant 🚧 *Un serveur de domotique simple*](/Domotique#homeassistant)
{.links-list}

# Gestionnaire de configurations
- [⚙️ Ansible *Un gestionnaire de configuration via SSH*](/Configuration#ansible)
- [⚙️ Puppet 🚧 *Un gestionnaire de configuration avec agents*](/Configuration#puppet)
- [⚙️ DSC 🚧 *Un gestionnaire de configuration pour Powershell*](/Configuration#dsc)
- [⚙️ Terraform 🚧 *De l'infrastructure as code*](/Configuration#terraform)
{.links-list}
 
# Linux
- [🧪 Débutant *L'utilisation et les commandes de base*](/Linux#débutant)
- [⚗️ Avancé *Gestion des disques, sauvegardes, etc...*](/Linux#avancé)
- [🧬 Expert 🚧 *Pour aller encore plus loin*](/Linux#expert)
{.links-list}

# Microsoft
- [🖥️ Windows 7/10 *Trucs et astuces pour Windows 7 et 10*](/Microsoft#windows-7-10)
- [📟 Windows Server *Installation et gestion de services sous Windows Server*](/Microsoft#windowsserver)
- [🗜️ Azure 🚧 *Gérer son parc infomatique avec le cloud*](/Microsoft#azure)
- [📧 Exchange 2016 *Installer et configurer un serveur Exchange*](/Microsoft#exchange-2016)
- [📌 Microsoft 365 🚧 *Comprendre et utiliser les services de Microsoft 365*](/Microsoft#microsoft-365)
{.links-list}

# NAS
- [❤️ Synology / XPEnology *Installation, configuration et astuces des sous DSM*](/NAS#synology)
- [📁 QNAP 🚧 *Trucs et astuces pour les NAS QNAP*](/NAS#qnap)
- [📂 TrueNAS 🚧 *Un système de stockage Opensource et complet*](/NAS#truenas)
- [🗂️ UNRAID 🚧 *Un NAS qui va tout de même plus loin*](/NAS#unraid)
{.links-list}

# Réseau
- [🌐 Protocoles *Découvrir et comprendre les bases du réseau*](/Réseau#protocoles)
- [🖲️ Equipements 🚧 *Les différents équipements d'un réseau*](/Réseau#equipements)
- [⭐ Avancé *Les VPNs, Tor, etc...*](/Réseau#avancé)
{.links-list}

# Sauvegarde
- [📦 Altaro 🚧 *Sauvegarder Hyper-V ou ESXi*](/Sauvegarde#altaro)
- [📦 Veeam 🚧 *Un système de sauvegarde complet*](/Sauvegarde#veeam)
- [📦 UrBackup 🚧 *Un système de sauvegarde entièrement OpenSource*](/Sauvegarde#urbackup)
- [📦 SwissBackup 🚧 *Pour des sauvegardes externalisées avec Swift*](/Sauvegarde#swissbackup)
{.links-list}

# Scripting
- [✨ Les bases 🚧 *Quel que soit le langage utilisé, il y a quelques notions à connaitre*](/Scripting#base)
- [🐧 Bash *Le commencement d'une automatisation*](/Scripting#bash)
- [🐍 Python *Un langage qui fonctionne sur tous les OS*](/Scripting#python)
- [🪟 PowerShell *Un langage puissant dédié à Windows*](/Scripting#powershell)
{.links-list}

# Sécurité
- [🔑 Chiffrement *Du certificat SSL au chiffrement des données*](/Sécurité#chiffrement)
- [💥 Pentest 🚧 *S'introduire dans des systèmes soit disant protégés*](/Sécurité#pentest)
- [🛡️ Protection 🚧 *Se protéger des attaques informatiques*](/Sécurité#protection)
{.links-list}

# Supervision
- [💢 Zabbix *Un sytème Opensource complet basé sur Nagios*](/Supervision#zabbix)
- [©️ Centreon *Un sytème Opensource clé en main*](/Supervision#centreon)
{.links-list}

# Traitement de données
- [📊 Grafana *De l"affiche de données simple et efficace*](/Données#grafana)
- [📊 Elastic *Une solution très complète pour la gestion de données*](/Données#elastic)
{.links-list}

# Virtualisation
- [➰ ESXi *Comprendre et utiliser l'hyperviseur de VMware*](/Virtualisation#vmware-esxi)
- [➰ Hyper-V *Comprendre et utiliser l'hyperviseur de Microsoft*](/Virtualisation#hyper-v)
- [➰ Proxmox *Un hyperviseur OpenSource*](/Virtualisation#proxmox)
- [➰ VirtualBox *Trucs et astuces pour de la virtualisation locale*](/Virtualisation#virtualbox)
{.links-list}

# Web
- [🗺️ HTML / CSS / JS *Les bases du développement web*](/Web#html-css-js)
- [💎 WordPress *Les bonnes pratiques et astuces pour la gestion d'un site Wordpress*](/Web#wordpress)
{.links-list}